
**************************************************************************************************************************************************
******************* Code for 'Doing Less with Less: Capital Misallocation, investment and the prodcutivty slowdown in Australia *******************
***************************************************** Code for PIM creation******************************************************************

**************************************************DATE: AUG 2022 ******************************************************************************
**************************************************** AUTHOR: Jonathan Hambur *******************************************************************
*********************************************************************************************************************************************

*** Code strcuture
*01. Intiail data clean
*02 Crreate starting values
*03 Variable constrcution


*************************01. Intiail data clean

clear
use "$data\full_prod_bit.dta", clear
capture drop c_* i_* t_* p_*
* deflators
merge m:1 fyear division using "$data\IPDs.dta",  keep(master match)
drop _merge

** book value
g k_bit = totlasst- currasst
replace k_bit = 0 if k_bit<0
g rk_book = k_bit/k_defl
g r_depr = deprexps/k_defl

* flows
	g inv = othdepas+intdepas

g r_inv = inv/gfcf_defl

g r_inv_intan = intdepas/gfcf_defl
g r_inv_tan = othdepas/gfcf_defl

g disp = term_int + term_tan
g r_disp = disp/k_defl
g r_disp_intan = term_int/k_defl
g r_disp_tan = term_tan/k_defl


count if r_inv == . & fyear!=2017 & division !="Z"
count if r_disp==. & fyear!=2017 & division !="Z"



bysort id (fyear): g obs = _n
******02 Crreate starting values
** Simple use book value 
g rk_pim1 = . 
replace rk_pim1 = rk_book if obs == 1 & fyear ==2002
replace rk_pim1 = rk_book if obs == 1 & fyear !=2002


** Simple use book value 2002, others do inherent pim assume zero to start
g rk_pim2 = . 
replace rk_pim2 = rk_book if obs == 1 & fyear ==2002
replace rk_pim2 = r_inv-r_depr-r_disp if obs == 1 & fyear !=2002
replace rk_pim2 = 0 if rk_pim2<0


******03 Variable constrcution

* use prvieous, then build. Should be able to deal with missing intermediary obs
forvalues i = 1/2 {
 
bysort id (fyear):	 replace rk_pim`i' = (rk_pim`i'[_n-1] - r_depr - r_disp + r_inv)*((rk_pim`i'[_n-1] - r_depr - r_disp + r_inv)>=0) if  obs != 1
}

save "$outputs\pim.dta", replace



